package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class DrpUnitPageDTO {
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("计量单位名称")
   private String unitName;
   @ApiModelProperty("单位类型(1-按份,2-称重)")
   private Integer weighType;
   @ApiModelProperty("区域ID")
   private Long areaId;
   private List<Long> areaAuth;
   @ApiModelProperty("是否列表使用(1是)")
   private Integer ifListUse;

   public Long getUnitId() {
      return this.unitId;
   }

   public String getUnitName() {
      return this.unitName;
   }

   public Integer getWeighType() {
      return this.weighType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public Integer getIfListUse() {
      return this.ifListUse;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setUnitName(final String unitName) {
      this.unitName = unitName;
   }

   public void setWeighType(final Integer weighType) {
      this.weighType = weighType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public void setIfListUse(final Integer ifListUse) {
      this.ifListUse = ifListUse;
   }

}
